Subject: bug#45200: [PATCH] Force Glibc to free the memory freed

From: Konstantin Kharlamov <[email-masked]>
Date: Wed, 03 Feb 2021 14:16:53 +0300

On Wed, 2021-02-03 at 14:08 +0300, Konstantin Kharlamov wrote:
> On Wed, 2021-02-03 at 12:06 +0100, martin rudalics wrote:
> >  >> What I meant was if people really disabled GC for the rest of their
> >  >> session and got away with it.  But that was only a rhetorical question
> >  >> to which the answer is clearly no.
> >  >
> >  > I'm not sure where you got this answer from. The first link I referred to
> > has a
> >  > user which does exactly that, and it is a highly upvoted question with 4k
> > views.
> > 
> > If the first link refers to
> > 
> > 1:
> > https://emacs.stackexchange.com/questions/34342/is-there-any-downside-to-setting-gc-cons-threshold-very-high-and-collecting-ga
> > 
> > then
> > 
> > (setq gc-cons-threshold (eval-when-compile (* 1024 1024 1024)))
> > (run-with-idle-timer 2 t (lambda () (garbage-collect)))
> > 
> > obviously means that this author does GC as soon as Emacs is idle.
> 
> Yes. I think you misread this thread, the case where the problem first came up
> is exactly running GC on idle.

But either way, I'm not sure why it matters. If you want, I can for you specifically craft up a reproducer that works with GC running on idle. The reason I haven't done this in the first place is just to simplify the reproducer, but if it's something you're interested in, just ping me up, I'll make one.